List SEPA Direct Debit subscriptions
curl --request GET \
--url https://thirdparty.qonto.com/v2/sepa/direct_debit_subscriptions \
--header 'Authorization: Bearer <token>'import requests
url = "https://thirdparty.qonto.com/v2/sepa/direct_debit_subscriptions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://thirdparty.qonto.com/v2/sepa/direct_debit_subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"direct_debit_subscriptions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"direct_debit_mandate_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bank_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"initial_collection_date": "2023-12-25",
"amount": {
"value": "102.34",
"currency": "EUR"
},
"reference": "<string>",
"status": "pending",
"schedule_type": "one_off",
"notify_client": true,
"created_at": "2023-11-07T05:31:56Z",
"sign_url": "<string>"
}
],
"meta": {
"current_page": 2,
"next_page": 3,
"prev_page": 1,
"total_pages": 11,
"total_count": 210,
"per_page": 20
}
}Subscriptions
List SEPA Direct Debit subscriptions
OAuth scope: sepa_direct_debit.read
List SEPA Direct Debit subscriptions for the authenticated organization.
GET
/
v2
/
sepa
/
direct_debit_subscriptions
List SEPA Direct Debit subscriptions
Authorizations
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Query Parameters
Page number for pagination. Must be greater than 0.
Required range:
x >= 1Number of records per page. Must be between 1 and 100.
Required range:
1 <= x <= 100Filter subscriptions by status.
Available options:
pending_mandate_signature, scheduled, in_progress Example:
"?status[]=pending_mandate_signature&status[]=in_progress"
Sort subscriptions by a field. Format is field:direction (e.g. amount:desc). When omitted, defaults to created_at, descending.
Available options:
amount:asc, amount:desc Example:
"?sort_by=amount:asc"
Was this page helpful?